Jump to content
timest999

FAQ REX COMPATIBILITY WITH PREPAR3D V.2.5

Recommended Posts

OFFICIAL ANNOUNCEMENT IN REGARDS TO PREPAR3D VERSION 2.5

 

REX Compatibility Update for Lockheed Martin’s Prepar3D v.2.5

 

We are pleased to confirm that REX Essential PLUS, REX Essential PLUS OverDrive, REX4 Texture Direct and Soft Clouds are fully compatible with the recent release of Lockheed Martin’s PREPAR3D version 2.5.

 

Although there is an issue with a config placement within the program, the issue does not cripple or hinder the proper functionality of the above said programs. The team at REX Game Studios will be releasing an update as soon as possible, however, rest assured, you may install and use the current REX product line with Prepar3D v.2.5!

  • Like 1

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

  • Recently Browsing   0 members

    No registered users viewing this page.

  • See our many awards!

×